{
  "name": "fulfillment-frontend",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "tsc && vite build",
    "lint": "eslint . --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
    "preview": "vite preview",
    "generate-client": "openapi --input http://test.crm.denco.store/api/openapi.json --output ./src/client --client axios --useOptions --useUnionTypes"
  },
  "dependencies": {
    "@hello-pangea/dnd": "^16.5.0",
    "@mantine/core": "^7.6.1",
    "@mantine/dates": "^7.6.1",
    "@mantine/dropzone": "^7.6.1",
    "@mantine/form": "^7.6.1",
    "@mantine/hooks": "^7.6.1",
    "@mantine/modals": "^7.6.1",
    "@mantine/notifications": "^7.6.1",
    "@reduxjs/toolkit": "^2.2.1",
    "@tabler/icons-react": "^2.47.0",
    "@tanstack/react-query": "^5.22.2",
    "@tanstack/react-router": "^1.16.6",
    "@tanstack/router-devtools": "^1.16.6",
    "@tanstack/router-vite-plugin": "^1.16.5",
    "axios": "^1.6.7",
    "classnames": "^2.5.1",
    "clsx": "^2.1.0",
    "dayjs": "^1.11.10",
    "dot-object": "^2.1.4",
    "mantine-form-zod-resolver": "^1.1.0",
    "mantine-react-table": "^2.0.0-beta.0",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-redux": "^9.1.0",
    "reactflow": "^11.10.4",
    "zod": "^3.22.4"
  },
  "devDependencies": {
    "@types/dot-object": "^2",
    "@types/react": "^18.2.56",
    "@types/react-dom": "^18.2.19",
    "@typescript-eslint/eslint-plugin": "^7.0.2",
    "@typescript-eslint/parser": "^7.0.2",
    "@vitejs/plugin-react-swc": "^3.5.0",
    "eslint": "^8.56.0",
    "eslint-plugin-react-hooks": "^4.6.0",
    "eslint-plugin-react-refresh": "^0.4.5",
    "openapi-typescript-codegen": "^0.27.0",
    "postcss": "^8.4.35",
    "postcss-preset-mantine": "^1.13.0",
    "postcss-simple-vars": "^7.0.1",
    "sass": "^1.71.1",
    "typescript": "^5.2.2",
    "vite": "^5.1.4"
  },
  "packageManager": "yarn@4.1.0"
}
